Package org.pushingpixels.flamingo.api.common

# Enum Class AbstractCommandButton.CommandButtonLocationOrderKind

java.lang.Object
java.lang.Enum<AbstractCommandButton.CommandButtonLocationOrderKind>
org.pushingpixels.flamingo.api.common.AbstractCommandButton.CommandButtonLocationOrderKind

All Implemented Interfaces:
  `Serializable`, `Comparable<AbstractCommandButton.CommandButtonLocationOrderKind>`, `Constable`

Enclosing class:
  `AbstractCommandButton`

public static enum AbstractCommandButton.CommandButtonLocationOrderKind extends Enum<AbstractCommandButton.CommandButtonLocationOrderKind>
Enumerates the available values for the location order kind. This is used for buttons placed in command button strips or for buttons that need the visuals of segmented strips.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FIRST`
Indicates that this button is the first button in the strip.
`LAST`
Indicates that this button is the last button in the strip.
`MIDDLE`
Indicates that this button is in the middle of the strip.
`ONLY`
Indicates that this button is the only button in the strip.

## Method Summary

Modifier and Type
Method
Description
`static AbstractCommandButton.CommandButtonLocationOrderKind`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AbstractCommandButton.CommandButtonLocationOrderKind[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ONLY

public static final AbstractCommandButton.CommandButtonLocationOrderKind ONLY
Indicates that this button is the only button in the strip.

### FIRST

public static final AbstractCommandButton.CommandButtonLocationOrderKind FIRST
Indicates that this button is the first button in the strip.

### MIDDLE

public static final AbstractCommandButton.CommandButtonLocationOrderKind MIDDLE
Indicates that this button is in the middle of the strip.

### LAST

public static final AbstractCommandButton.CommandButtonLocationOrderKind LAST
Indicates that this button is the last button in the strip.

## Method Details

### values

public static AbstractCommandButton.CommandButtonLocationOrderKind[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AbstractCommandButton.CommandButtonLocationOrderKind valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null